import { DamageItem } from "./modules/Durability";
import { Oxidise } from "./modules/Oxidize";
import { Combat } from "./modules/Combat";
import { world } from "@minecraft/server";
import "./modules/Deoxidize";
/**
 * Start oxidization process
 */
Oxidise();
world.afterEvents.entityHurt.subscribe(Combat);
world.afterEvents.playerBreakBlock.subscribe(({ player, itemStackAfterBreak }) => DamageItem(player, itemStackAfterBreak));
world.afterEvents.itemUseOn.subscribe(({ source, itemStack }) => DamageItem(source, itemStack));
